/*
 * led.h
 *
 *  Created on: 09.02.2019
 *      Author: julian
 */

#ifndef LED_H_
#define LED_H_

#include <avr/io.h>

/* led driver */
#define LED_DDR DDRB
#define LED_REG PORTB
#define LED_PIN 0

#define led_toggle() do {     \
	LED_REG ^= (1<<LED_PIN);  \
} while(0)

#define led_off() do {        \
	LED_REG |= (1<<LED_PIN);  \
} while(0)

#define led_on() do {         \
	LED_REG &= ~(1<<LED_PIN); \
} while(0)


void led_init();

#endif /* LED_H_ */
